/*
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

//
// @author Marco Magistrali
//
#ifndef INCL_FILE_CLIENT2SERVER
    #define INCL_FILE_CLIENT2SERVER
    
	#include "ptypes/ptypes.h"        
    
    USING_PTYPES
    
    void setAllItemsFILE(SyncSource &source, int dataType, wchar_t* path, wchar_t* dir);  
    
    void setModifiedItemsFILE(SyncSource &source, IPOutlookApp *polApp, int dataType, wchar_t* path, wchar_t* dir);

    void translateText2Base64(wchar_t** ptrFileContent);

    wchar_t* getB64DataContentByFilename(wchar_t* filename);

    void getXMLNote(wchar_t** ptrFileContent, wchar_t* fileName);

#endif