/*
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

//
// @author Marco Magistrali
//
#ifndef INCL_POOM_CLIENT2SERVER
    #define INCL_POOM_CLIENT2SERVER
    
	#include "ptypes/ptypes.h"
    
    USING_PTYPES
    
    void setAllItemsPOOM(SyncSource &source, IPOutlookApp *polApp, int dataType);  
    void fillModifiedOidArray (objlist& newOid, objlist& updateOid, objlist& deleteOid, 
						   IPOutlookApp *polApp, int dataType, wchar_t* path);
    void setModifiedItemsPOOM(SyncSource &source, IPOutlookApp *polApp, int dataType, wchar_t* path);

#endif