/*
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

//
// @author Marco Magistrali
//

#include "pim/asset/Asset.h"


wchar_t* Asset::getName() {
    return name;
}

void Asset::setName(wchar_t* u){
    wcsncpy(name, u, DIM_ASSET_VARIABLE);
    name[DIM_ASSET_VARIABLE-1] = 0;
    
}

wchar_t* Asset::getManufacturer() {
    return manufacturer;
}

void Asset::setManufacturer(wchar_t* u) {
    wcsncpy(manufacturer, u, DIM_ASSET_VARIABLE);
    manufacturer[DIM_ASSET_VARIABLE-1] = 0;
}

wchar_t* Asset::getDescription() {
    return description;
}
void Asset::setDescription(wchar_t* u) {
    wcsncpy(description, u, DIM_ASSET_VARIABLE);
    description[DIM_ASSET_VARIABLE-1] = 0;
}

wchar_t* Asset::getState() {
    return state;
}

void Asset::setState(wchar_t* u) {
    wcsncpy(state, u, DIM_ASSET_VARIABLE);
    state[DIM_ASSET_VARIABLE-1] = 0;
}

AssetVersion* Asset::getCurrentVersion() {
    return currentVersion;
}


void Asset::setCurrentVersion(AssetVersion* u) {
    currentVersion = u;
}

AssetVersion* Asset::getNewVersion() {
    return newVersion;

}
void Asset::setNewVersion(AssetVersion* u) {
    newVersion = u;
}
