/*
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

//
// @author Marco Magistrali
//
#ifndef INCL_FILE_SERVER2CLIENT
    #define INCL_FILE_SERVER2CLIENT
    
	#include "ptypes/ptypes.h"
    
    USING_PTYPES
    
    void manageReturnedItemsFILE(SyncSource& s, int dataType, wchar_t* path, wchar_t* dir);
    
    void manageDeletedItems(wchar_t* key, int dataType, wchar_t* path, wchar_t* dir);
    
    long manageUpdatedItems(SyncItem* item, int dataType, wchar_t* path, wchar_t* dir);
    
    wchar_t*  manageNewItems(SyncItem* item, int dataType, wchar_t* path, wchar_t* dir);
    
    void translateBase642Text(wchar_t** ptrData);

#endif